# Yapex Frontend

The current directory is known as `[root]`

# Install

* install nodejs https://nodejs.org/en/

Open terminal an cd to the this dir and execute
```bash
yarn install
```

## why yarn

we use yarn because npm (currently?) not allows to install **some** packages from github
e.g. https://github.com/janisdd/brace
error:

```
npm ERR! code ENOPACKAGEJSON
npm ERR! package.json Non-registry package missing package.json: git+https://github.com/janisdd/brace.git.
npm ERR! package.json npm can't find a package.json file in your current directory.
```

# Running dev server

if you added/removed some library make sure to run

```bash
npm run vendor
```

before so the files at `dist/nocopy` are updated

then to run the dev server run

```bash
npm run dev
```

# Build for backend

```bash
npm run build
```

the output is `dist/*`, the folder `nocopy` is for development



## Adding a package

e.g. `yarn add react react-dom @types/react @types/react-dom`

after adding a package you need to rebuild the `vendor.dll.js` file
run `npm run vendor`


## Hints

- `fsevents` is needed on MacOS (at least for webpack@3.6 else the dev server will take 100% cpu watching files for changes
