/**
 * Created by janis dähne.
 */

import * as React from "react";
import {connect} from "react-redux";
import {bindActionCreators, Dispatch} from "redux";
import {returntypeof} from 'react-redux-typescript';
import {RootState} from "../../state/reducers";
import {DatetimepickerProps} from "react-datetime";
import * as Datetime from 'react-datetime';
import {Icon} from "semantic-ui-react";

//const css = require('./styles.styl');

export interface MyProps {
  //readonly test: string
}

const mapStateToProps = (rootState: RootState, props: MyProps & DatetimepickerProps) => {
  return {
    //test0: rootState...
    //test: props.test
    ...props
  }
}

const mapDispatchToProps = (dispatch: Dispatch) => bindActionCreators({
  //imported reducer funcs here

}, dispatch)


const stateProps = returntypeof(mapStateToProps);
const dispatchProps = returntypeof(mapDispatchToProps);
type Props = typeof stateProps & typeof dispatchProps & DatetimepickerProps

class MaterialDatetimeInput extends React.Component<Props, any> {
  render(): JSX.Element {
    return (
      <div>
        {
          //TODO this is not working BUT
          //we don't want this picker to work because we want a nice one...
          //TODO search for one like time dropper
        }
        <Datetime className="material-datetime"
                  {...this.props}
        >
          <div className="material-icon-wrapper">
            <div>
              <Icon name='bug'/>
            </div>
          </div>

          <span className="bar"></span>
        </Datetime>

      </div>
    )
  }
}

const _con = connect(mapStateToProps, mapDispatchToProps)(MaterialDatetimeInput)
export default _con