/**
 * Created by janis dähne.
 */


export enum ResponseCodes {

  ok = 0,

  /**
   * request was ok but could no be handled because resource restriction (e.g. test server parallel tests)
   */
  retryLater = 1,

  /**
   * the request was ok and handled but not all data could be processed (only partially ok)
   * e.g. some items of an array could not be processed
   */
  partialOk = 2,

  notLoggedIn = 10,

  invalidRequest = 20,

  serverError = 30,

  noPermission = 40,

  alreadyExists = 50,

  notFound = 60,

  timeUsedUp = 70,

  releaseEnded = 80,

  releaseStillActive = 90,
}
