/**
 * Created by janis dähne.
 */
import {
  ActionBase,
  ActionType, ResetAction, SET_selectedNegativeFilterTagsIdsAction,
  SET_selectedTagIdsAction, SET_tagsConnectorAction, TagsConnectors
} from "../reducers/tagsFilterReducer";


export function setTagFilterSelectedTagIds(selectedTagIds: ReadonlyArray<number>): SET_selectedTagIdsAction {
  return {
    type: ActionType.SET_selectedTagIds,
    selectedTagIds
  }
}

export function setTagFilterSelectedNegativeFilterTagsIds(selectedNegativeFilterTagsIds: ReadonlyArray<number>): SET_selectedNegativeFilterTagsIdsAction {
  return {
    type: ActionType.SET_selectedNegativeFilterTagsIds,
    selectedNegativeFilterTagsIds
  }
}

export function setTagFilterTagsConnector( logicalConnector: TagsConnectors): SET_tagsConnectorAction {
  return {
    type: ActionType.SET_tagsConnector,
    logicalConnector: logicalConnector
  }
}



export function resetTagsFilter(): ResetAction {
  return {
    type: ActionType.RESET,
  }
}