/**
 * Created by janis dähne.
 */
import {RunnableExerciseTestFrontendExclusive} from "../../../../../types/exerciseEditor";
import {MultiActions} from "../../../types";
import {AssessedSubmitTestFromBackend, AssessedSubmitTestFrontendExclusive} from "../../../../../types/testResults";
import {resetViewTestDialog, setViewTest} from "../../../doExerciseSite/dialogs/viewTestDialog/viewTestDialogActions";
import {setIsViewTestDialogDisplayed} from "../../tutorViewSiteActions";


export function openViewTestDialog(runnableTest: RunnableExerciseTestFrontendExclusive | AssessedSubmitTestFrontendExclusive | null): MultiActions {
  return dispatch => {

    dispatch(resetViewTestDialog())
    dispatch(setViewTest(runnableTest))
    dispatch(setIsViewTestDialogDisplayed(true))
  }
}

export function cancelViewTestDialog(): MultiActions {
  return dispatch => {

    dispatch(resetViewTestDialog())
    dispatch(setIsViewTestDialogDisplayed(false))
  }
}
