/**
 * Created by janis dähne.
 */
import {Action} from "redux";


export interface ActionBase extends Action {
  readonly type: ActionType
}


export enum ActionType {
  
  GET_closedExercisesViaCode = 'closedExercisesReducer_GET_closedExercisesViaCode',
  GET_closedExercisesViaCode_PENDING = 'closedExercisesReducer_GET_closedExercisesViaCode_PENDING',
  GET_closedExercisesViaCode_FULFILLED = 'closedExercisesReducer_GET_closedExercisesViaCode_FULFILLED',
  GET_closedExercisesViaCode_REJECTED = 'closedExercisesReducer_GET_closedExercisesViaCode_REJECTED',

  GET_closedExercisesViaVisibility = 'closedExercisesReducer_GET_closedExercisesViaVisibility',
  GET_closedExercisesViaVisibility_PENDING = 'closedExercisesReducer_GET_closedExercisesViaVisibility_PENDING',
  GET_closedExercisesViaVisibility_FULFILLED = 'closedExercisesReducer_GET_closedExercisesViaVisibility_FULFILLED',
  GET_closedExercisesViaVisibility_REJECTED = 'closedExercisesReducer_GET_closedExercisesViaVisibility_REJECTED',

  setSearchText = 'closedExercisesReducer_setSearchText',
  setPaginationActivePage = 'closedExercisesReducer_setPaginationActivePage',
  setPaginationPageSize = 'closedExercisesReducer_setPaginationPageSize',
  
  SET_sortByKey = 'closedExercisesReducer_SET_sortByKey',

  SET_isTagsFilterDisplayed = 'closedExercisesReducer_SET_isTagsFilterDisplayed',

  RESET = 'closedExercisesReducer_RESET',
}

