import {Action} from 'redux'

export interface ActionBase extends Action {
  readonly type: ActionType
}

export enum ActionType {
  GET_systemSettings = 'globalSystemSettingsReducer_GET_systemSettings',
  GET_systemSettings_PENDING = 'globalSystemSettingsReducer_GET_systemSettings_PENDING',
  GET_systemSettings_FULFILLED = 'globalSystemSettingsReducer_GET_systemSettings_FULFILLED',
  GET_systemSettings_REJECTED = 'globalSystemSettingsReducer_GET_systemSettings_REJECTED',

  GET_testServerPublicSettings = 'globalSystemSettingsReducer_GET_testServerPublicSettings',
  GET_testServerPublicSettings_PENDING = 'globalSystemSettingsReducer_GET_testServerPublicSettings_PENDING',
  GET_testServerPublicSettings_FULFILLED = 'globalSystemSettingsReducer_GET_testServerPublicSettings_FULFILLED',
  GET_testServerPublicSettings_REJECTED = 'globalSystemSettingsReducer_GET_testServerPublicSettings_REJECTED',

  GET_serverMessage = 'globalSystemSettingsReducer_GET_serverMessage',
  GET_serverMessage_PENDING = 'globalSystemSettingsReducer_GET_serverMessage_PENDING',
  GET_serverMessage_FULFILLED = 'globalSystemSettingsReducer_GET_serverMessage_FULFILLED',
  GET_serverMessage_REJECTED = 'globalSystemSettingsReducer_GET_serverMessage_REJECTED',

  SET_clickedOnServerMessage = 'globalSystemSettingsReducer_SET_clickedOnServerMessage',

  SET_clickedOnLocalServerMessage = 'globalSystemSettingsReducer_SET_clickedOnLocalServerMessage',

  SET_localServerMessage = 'globalSystemSettingsReducer_SET_localServerMessage',

  RESET = 'globalSystemSettingsReducer_RESET',
}
