import {getValidationMessagesCollection} from "../../../../validation/validations";
import {getI18n} from "../../../../../i18n/i18nRoot";
import globalState from "../../../state";
import {State} from "./groupRoleReducer";


export const validationMessageKeys = getValidationMessagesCollection<State>({
  id: '',
  displayName: getI18n(globalState.getState().i18nState.langId,'Field must not be empty or just whitespaces'),
  canCreateExercises: '',
  canChangeExercises: '',
  canDeleteExercises: '',
  canLockExercisesPermanently: '',

  canManageExerciseReleases: '',
  canAssessExercises: '',

  canSeeExercisesFromOthersInGroup: '',

  canAddUserToGroup: '',
  canRemoveMemberFromGroup: '',
  canChangeOtherMembersRole: '',

  canSeeOtherMembers: '',
  canChangeGroupData: ''
})
