/**
 * Created by janis dähne.
 */
import {Action} from "redux";


export interface ActionBase extends Action {
  readonly type: ActionType
}

export enum ActionType {
  SET_groupExercises = 'groupExercisesReducer_SET_groupExercises',

  GET_groupExercises = 'groupExercisesReducer_GET_list',
  GET_groupExercises_PENDING = 'groupExercisesReducer_GET_list_PENDING',
  GET_groupExercises_FULFILLED = 'groupExercisesReducer_GET_list_FULFILLED',
  GET_groupExercises_REJECTED = 'groupExercisesReducer_GET_list_REJECTED',

  DELETE_groupExercise = 'groupExercisesReducer_DELETE_groupExercise',
  DELETE_groupExercise_PENDING = 'groupExercisesReducer_DELETE_groupExercise_PENDING',
  DELETE_groupExercise_FULFILLED = 'groupExercisesReducer_DELETE_groupExercise_FULFILLED',
  DELETE_groupExercise_REJECTED = 'groupExercisesReducer_DELETE_groupExercise_REJECTED',

  GET_groupsForExercises = 'groupExercisesReducer_GET_groupsForExercises',
  GET_groupsForExercises_PENDING = 'groupExercisesReducer_GET_groupsForExercises_PENDING',
  GET_groupsForExercises_FULFILLED = 'groupExercisesReducer_GET_groupsForExercises_FULFILLED',
  GET_groupsForExercises_REJECTED = 'groupExercisesReducer_GET_groupsForExercises_REJECTED',

  SET_viewState = 'groupExercisesReducer_SET_viewState',

  setSearchText = 'groupExercisesReducer_setSearchText',
  setPaginationActivePage = 'groupExercisesReducer_setPaginationActivePage',
  setPaginationPageSize = 'groupExercisesReducer_setPaginationPageSize',

  SET_sortByKey = 'groupExercisesReducer_SET_sortByKey',

  SET_isLoadingManageGroupExercisesSite = 'groupExercisesReducer_isLoading',

  SET_isTagsFilterDisplayed = 'groupExercisesReducer_SET_isTagsFilterDisplayed',

  SET_groupsOrder = 'groupExercisesReducer_SET_groupsOrder',

  RESET = 'groupExercisesReducer_RESET',
}

