/**
 * Created by janis dähne.
 */
import {Action} from "redux";

export interface ActionBase extends Action {
  readonly type: ActionType
}

export enum ActionType {


  SET_exerciseRelease = 'changeExerciseReleaseDialogReducer_SET_exerciseRelease',

  CREATE_exerciseRelease = 'changeExerciseReleaseDialogReducer_CREATE_exerciseRelease',
  CREATE_exerciseRelease_PENDING = 'changeExerciseReleaseDialogReducer_CREATE_exerciseRelease_PENDING',
  CREATE_exerciseRelease_FULFILLED = 'changeExerciseReleaseDialogReducer_CREATE_exerciseRelease_FULFILLED',
  CREATE_exerciseRelease_REJECTED = 'changeExerciseReleaseDialogReducer_CREATE_exerciseRelease_REJECTED',

  UPDATE_exerciseRelease = 'changeExerciseReleaseDialogReducer_UPDATE_exerciseRelease',
  UPDATE_exerciseRelease_PENDING = 'changeExerciseReleaseDialogReducer_UPDATE_exerciseRelease_PENDING',
  UPDATE_exerciseRelease_FULFILLED = 'changeExerciseReleaseDialogReducer_UPDATE_exerciseRelease_FULFILLED',
  UPDATE_exerciseRelease_REJECTED = 'changeExerciseReleaseDialogReducer_UPDATE_exerciseRelease_REJECTED',

  SET_isCreatingExerciseRelease = 'changeExerciseReleaseDialogReducer_SET_isCreatingExerciseRelease',

  SET_exerciseReleaseId = 'changeExerciseReleaseDialogReducer_SET_exerciseReleaseId',
  SET_isReleased = 'changeExerciseReleaseDialogReducer_SET_isReleased',
  SET_generatedCode = 'changeExerciseReleaseDialogReducer_SET_generatedCode',
  SET_pLangId = 'changeExerciseReleaseDialogReducer_SET_pLangId',
  SET_automaticStartAt = 'changeExerciseReleaseDialogReducer_SET_automaticStartAt',
  SET_automaticEndAt = 'changeExerciseReleaseDialogReducer_SET_automaticEndAt',
  SET_hasLimitedWorkingTime = 'changeExerciseReleaseDialogReducer_SET_hasLimitedWorkingTime',
  SET_availableWorkingTimeInMinutes = 'changeExerciseReleaseDialogReducer_SET_availableWorkingTimeInMinutes',
  SET_maxManualPoints = 'changeExerciseReleaseDialogReducer_SET_maxManualPoints',
  SET_note = 'changeExerciseReleaseDialogReducer_SET_note',
  SET_isVisibleToAllAfterRelease = 'changeExerciseReleaseDialogReducer_SET_isVisibleToAllAfterRelease',
  SET_shouldAutomaticAssessSubmissions = 'changeExerciseReleaseDialogReducer_SET_shouldAutomaticAssessSubmissions',
  SET_runAlsoNormalTests = 'changeExerciseReleaseDialogReducer_SET_runAlsoNormalTests',
  SET_releaseDurationType = 'changeExerciseReleaseDialogReducer_SET_releaseDurationType',
  SET_releaseStartType = 'changeExerciseReleaseDialogReducer_SET_releaseStartType',

  SET_hideInOverviews = 'changeExerciseReleaseDialogReducer_SET_hideInOverviews',
  SET_shouldClearClipboard = 'changeExerciseReleaseDialogReducer_SET_shouldClearClipboard',
  SET_hideSiteHeaderBar = 'changeExerciseReleaseDialogReducer_SET_hideSiteHeaderBar',

  SET_hidePrintOptions = 'changeExerciseReleaseDialogReducer_SET_hidePrintOptions',
  SET_hideExerciseLeaveActions = 'changeExerciseReleaseDialogReducer_SET_hideExerciseLeaveActions',
  SET_showAdditionalLogButton = 'changeExerciseReleaseDialogReducer_SET_showAdditionalLogButton',



  RESET = 'changeExerciseReleaseDialogReducer_RESET',
}

