/**
 * Created by janis dähne.
 */
import {Action} from "redux";


export interface ActionBase extends Action {
  readonly type: ActionType
}

export enum ActionType {

  SET_isCreating = 'systemRolesChangeDialogReducer_SET_isCreating',

  SET_id = 'systemRolesChangeDialogReducer_SET_id',
  SET_displayName = 'systemRolesChangeDialogReducer_SET_displayName',
  SET_email = 'systemRolesChangeDialogReducer_SET_email',
  SET_canCreateGroups = 'systemRolesChangeDialogReducer_SET_canCreateGroups',
  SET_canDeleteGroups = 'systemRolesChangeDialogReducer_canDeleteGroups',
  SET_canCreateRoles = 'systemRolesChangeDialogReducer_canCreateRoles',
  SET_canChangeRoles = 'systemRolesChangeDialogReducer_canChangeRoles',
  SET_canDeleteRoles = 'systemRolesChangeDialogReducer_canDeleteRoles',
  SET_canManageNewUsers = 'systemRolesChangeDialogReducer_SET_canManageNewUsers',
  SET_canChangeOtherUsersSystemRole = 'systemRolesChangeDialogReducer_SET_canChangeOtherUsersSystemRole',
  SET_canDeleteActivatedUsers = 'systemRolesChangeDialogReducer_SET_canDeleteActivatedUsers',
  SET_canChangeUserData = 'systemRolesChangeDialogReducer_SET_canChangeUserData',
  SET_canChangeSystemSettings = 'systemRolesChangeDialogReducer_SET_canChangeSystemSettings',
  SET_canManageTags = 'systemRolesChangeDialogReducer_SET_canManageTags',
  SET_canViewDashboard = 'systemRolesChangeDialogReducer_SET_canViewDashboard',
  SET_canDownloadPersonalDataFromOthers = 'systemRolesChangeDialogReducer_SET_canDownloadPersonalDataFromOthers',


  CREATE_systemRole = 'systemRolesChangeDialogReducer_CREATE_systemRole',
  CREATE_systemRole_PENDING = 'systemRolesChangeDialogReducer_CREATE_systemRole_PENDING',
  CREATE_systemRole_FULFILLED = 'systemRolesChangeDialogReducer_CREATE_systemRole_FULFILLED',
  CREATE_systemRole_REJECTED = 'systemRolesChangeDialogReducer_CREATE_systemRole_REJECTED',

  UPDATE_systemRole = 'systemRolesChangeDialogReducer_UPDATE_systemRole',
  UPDATE_systemRole_PENDING = 'systemRolesChangeDialogReducer_UPDATE_systemRole_PENDING',
  UPDATE_systemRole_FULFILLED = 'systemRolesChangeDialogReducer_UPDATE_systemRole_FULFILLED',
  UPDATE_systemRole_REJECTED = 'systemRolesChangeDialogReducer_UPDATE_systemRole_REJECTED',

  RESET = 'systemRolesChangeDialogReducer_RESET',
}

