/**
 * Created by janis dähne.
 */
import {ResponseCodes} from "../helpers/responseCodes";


/**
 * server type is BasicResponse
 */
export interface ServerResponse {
  readonly code: ResponseCodes
  readonly message: string
}


/**
 * server type is BasicResponseWithData
 */
export interface ServerResponseWithData<TData> extends ServerResponse {
  readonly data: TData
}

