/**
 * Created by janis dähne.
 */

import * as React from "react";
import {connect} from "react-redux";
import {bindActionCreators, Dispatch} from "redux";
import {returntypeof} from 'react-redux-typescript';
import {RootState} from "../../state/reducers";
import Menu from './menu'


//const css = require('./styles.styl');

export interface MyProps {
  //readonly test: string
}

const mapStateToProps = (rootState: RootState /*, props: MyProps*/) => {
  return {
    //test0: rootState...
    //test: props.test
    isSiteMenuOpen: rootState.siteHeaderBarState.isSiteMenuOpen
  }
}

const mapDispatchToProps = (dispatch: Dispatch) => bindActionCreators({
  //imported reducer funcs here

}, dispatch)


const stateProps = returntypeof(mapStateToProps);
const dispatchProps = returntypeof(mapDispatchToProps);
type Props = typeof stateProps & typeof dispatchProps;


class LoggerWrapper extends React.Component<Props, any> {
  render(): JSX.Element {
    return (
      <div>
        {
          this.props.isSiteMenuOpen &&
          <Menu/>
        }

      </div>
    )
  }
}

export default connect(mapStateToProps, mapDispatchToProps)(LoggerWrapper)