/**
 * Created by janis dähne.
 */
import {RunnableExerciseTestFrontendExclusive} from "../types/exerciseEditor";
import {RunnableCustomTestFrontendExclusive} from "../types/customTests";
import {AssessedSubmitTestFrontendExclusive} from "../types/testResults";
import {RunnableCustomProjectTestFrontendExclusive} from "../types/customProjects";


export function isTestResultValid(test: RunnableExerciseTestFrontendExclusive | RunnableCustomTestFrontendExclusive | AssessedSubmitTestFrontendExclusive | RunnableCustomProjectTestFrontendExclusive | null): boolean {

  if (!test.result || !test.result.hasCompiled || !test.result.passed) return false

  return true
}