/**
 * Created by janis dähne.
 */

import {ActionBase, ActionType} from "../doExerciseSiteActionTypes";
import {ExerciseDescriptionFullBase} from "../../../../types/exerciseEditor";
import {notExhaustive} from "../../_notExhausiveHelper";

export type State = ExerciseDescriptionFullBase


export const initial: State = {
  id: -1,
  content:'',
  assets: [],
}

export interface SET_editorExerciseDescriptionAction extends ActionBase {
  readonly type: ActionType.SET_doExerciseDescription
  readonly exerciseDescription: ExerciseDescriptionFullBase
}

export type AllActions =
  SET_editorExerciseDescriptionAction


export function reducer(state: State = initial, action: AllActions): State {

  switch (action.type) {

    case ActionType.SET_doExerciseDescription:
      return {
        ...action.exerciseDescription,
      }


    default:
      //somehow only working with 2 or more cases...
      //notExhaustive(action)
      return state
  }
}

