import {getValidationMessagesCollection} from "../../../../../validation/validations";
import {getI18n} from "../../../../../../i18n/i18nRoot";
import globalState from "../../../../state";
import {State} from "./codeTemplateReducer";

export const validationMessageKeys = getValidationMessagesCollection<State>({
  id: '',
  pLangId: getI18n(globalState.getState().i18nState.langId,'Invalid option, take other'),
  mainFileId: getI18n(globalState.getState().i18nState.langId,'Invalid option, take other'),
  templateFiles: '',
})