/**
 * Created by janis dähne.
 */
import {Action} from "redux";
import {ActionType as EditorExerciseSiteActionTypes} from '../../editorExerciseSiteActionTypes'


export interface ActionBase extends Action {
  readonly type: ActionType | EditorExerciseSiteActionTypes.ATTACH_testAsset_FULFILLED
}


export enum ActionType {
  SET_testId = 'changeTestDialogReducer_SET_testId',
  SET_content = 'changeTestDialogReducer_SET_content',
  SET_displayName = 'changeTestDialogReducer_SET_displayName',
  SET_displayIndex = 'changeTestDialogReducer_SET_displayIndex',
  SET_isSubmitTest = 'changeTestDialogReducer_SET_isSubmitTest',
  SET_weight = 'changeTestDialogReducer_SET_weight',
  SET_testTypeId = 'changeTestDialogReducer_SET_testTypeId',
  SET_editorTest_memoryLimitInKb = 'changeTestDialogReducer_SET_editorTest_memoryLimitInKb',
  SET_editorTest_timeoutInMs = 'changeTestDialogReducer_SET_editorTest_timeoutInMs',
  SET_editorTest_compileTimeoutInMs = 'changeTestDialogReducer_SET_editorTest_compileTimeoutInMs',
  SET_editorTest_maxDiskSpaceInKb = 'changeTestDialogReducer_SET_editorTest_maxDiskSpaceInKb',
  SET_editorTest_compilerOptions = 'changeTestDialogReducer_SET_editorTest_compilerOptions',


  SET_isCreating = 'changeTestDialogReducer_SET_isCreating',
  SET_isHelpDisplayed = 'changeTestDialogReducer_SET_isHelpDisplayed',
  SET_selectedTest = 'changeTestDialogReducer_SET_selectedTest',
  SET_selectedTabIndex = 'changeTestDialogReducer_SET_selectedTabIndexAction',

  SET_editorTest_files = 'changeTestDialogReducer_SET_editorTest_files',

  RESET = 'changeTestDialogReducer_RESET',
}
