import {Action} from 'redux'

export interface ActionBase extends Action {
  readonly type: ActionTypeGlobal
}


export enum ActionTypeGlobal {
  RESET_Global = 'globalActions_RESET_Global',
}

export interface RESET_GlobalAction extends ActionBase {
  readonly type: ActionTypeGlobal.RESET_Global
}


export function reset_Global(): RESET_GlobalAction {
  return {
    type: ActionTypeGlobal.RESET_Global
  }
}
