import {getValidationMessagesCollection} from "../../../../validation/validations";
import {UserGroupBase, UserGroupFromBackend} from "../../../../types/group";
import {getI18n} from "../../../../../i18n/i18nRoot";
import globalState from "../../../state";

export const validationMessageKeys = getValidationMessagesCollection<UserGroupFromBackend>({
  id: '',
  displayName: getI18n(globalState.getState().i18nState.langId,'Field must not be empty or just whitespaces'),
  email: getI18n(globalState.getState().i18nState.langId,'Field value is not a valid email'),

  groupRole: '',
})
