import {getValidationMessagesCollection} from "../../../../validation/validations";
import {getI18n} from "../../../../../i18n/i18nRoot";
import globalState from "../../../state";
import {State} from "./otherUserDataReducer";

export const validationMessageKeys = getValidationMessagesCollection<State>({
  targetUserId: '',
  email: getI18n(globalState.getState().i18nState.langId,'Field value is not a valid email'),
  lastName: getI18n(globalState.getState().i18nState.langId,'Field must not be empty or just whitespaces'),
  firstName: getI18n(globalState.getState().i18nState.langId,'Field must not be empty or just whitespaces'),
  password: '',
  systemRole: '',
  createdAt: '',
  id: '',
  isActivated: '',
  isCurrentUser: '',
  isDisplayed: '',
  lastLoginAt: '',
  systemRoleId: '',
  token: '',
  uiIsSelected: '',
})
