/**
 * Created by janis dähne.
 */
import {Action} from "redux";


export interface ActionBase extends Action {
  readonly type: ActionType
}


export enum ActionType {

  GET_ownExercises = 'ownExercisesReducer_GET_list',
  GET_ownExercises_PENDING = 'ownExercisesReducer_GET_list_PENDING',
  GET_ownExercises_FULFILLED = 'ownExercisesReducer_GET_list_FULFILLED',
  GET_ownExercises_REJECTED = 'ownExercisesReducer_GET_list_REJECTED',

  DELETE_ownExercise = 'ownExercisesReducer_DELETE_ownExercise',
  DELETE_ownExercise_PENDING = 'ownExercisesReducer_DELETE_ownExercise_PENDING',
  DELETE_ownExercise_FULFILLED = 'ownExercisesReducer_DELETE_ownExercise_FULFILLED',
  DELETE_ownExercise_REJECTED = 'ownExercisesReducer_DELETE_ownExercise_REJECTED',

  SET_viewState = 'ownExercisesReducer_SET_viewState',

  setIsLoading = 'ownExercisesReducer_setIsLoading',

  setSearchText = 'ownExercisesReducer_setSearchText',
  setPaginationActivePage = 'ownExercisesReducer_setPaginationActivePage',
  setPaginationPageSize = 'ownExercisesReducer_setPaginationPageSize',

  SET_sortByKey = 'ownExercisesReducer_SET_sortByKey',

  SET_isTagsFilterDisplayed = 'ownExercisesReducer_SET_isTagsFilterDisplayed',

  RESET = 'ownExercisesReducer_RESET',
}
