/**
 * Created by janis dähne.
 */
import {Action} from "redux";


export interface ActionBase extends Action {
  readonly type: ActionType
}

export enum ActionType {

  UPLOAD_csvAssessmentFile = 'submissionsSiteReducer_UPLOAD_csvAssessmentFile',
  UPLOAD_csvAssessmentFile_PENDING = 'submissionsSiteReducer_UPLOAD_csvAssessmentFile_PENDING',
  UPLOAD_csvAssessmentFile_FULFILLED = 'submissionsSiteReducer_UPLOAD_csvAssessmentFile_FULFILLED',
  UPLOAD_csvAssessmentFile_REJECTED = 'submissionsSiteReducer_UPLOAD_csvAssessmentFile_REJECTED',

  GET_singleRelease = 'submissionsSiteReducer_GET_singleRelease',
  GET_singleRelease_PENDING = 'submissionsSiteReducer_GET_singleRelease_PENDING',
  GET_singleRelease_FULFILLED = 'submissionsSiteReducer_GET_singleRelease_FULFILLED',
  GET_singleRelease_REJECTED = 'submissionsSiteReducer_GET_singleRelease_REJECTED',

  GET_singleOwnExercise = 'submissionsSiteReducer_GET_singleOwnExercise',
  GET_singleOwnExercise_PENDING = 'submissionsSiteReducer_GET_singleOwnExercise_PENDING',
  GET_singleOwnExercise_FULFILLED = 'submissionsSiteReducer_GET_singleOwnExercise_FULFILLED',
  GET_singleOwnExercise_REJECTED = 'submissionsSiteReducer_GET_singleOwnExercise_REJECTED',

  GET_singleGroupExercise = 'submissionsSiteReducer_GET_singleGroupExercise',
  GET_singleGroupExercise_PENDING = 'submissionsSiteReducer_GET_singleGroupExercise_PENDING',
  GET_singleGroupExercise_FULFILLED = 'submissionsSiteReducer_GET_singleGroupExercise_FULFILLED',
  GET_singleGroupExercise_REJECTED = 'submissionsSiteReducer_GET_singleGroupExercise_REJECTED',

  RERUN_automaticAssessment = 'submissionsSiteReducer_RERUN_automaticAssessment',
  RERUN_automaticAssessment_PENDING = 'submissionsSiteReducer_RERUN_automaticAssessment_PENDING',
  RERUN_automaticAssessment_FULFILLED = 'submissionsSiteReducer_RERUN_automaticAssessment_FULFILLED',
  RERUN_automaticAssessment_REJECTED = 'submissionsSiteReducer_RERUN_automaticAssessment_REJECTED',


  RERUN_singleAutomaticAssessment = 'submissionsSiteReducer_RERUN_singleAutomaticAssessment',
  RERUN_singleAutomaticAssessment_PENDING = 'submissionsSiteReducer_RERUN_singleAutomaticAssessment_PENDING',
  RERUN_singleAutomaticAssessment_FULFILLED = 'submissionsSiteReducer_RERUN_singleAutomaticAssessment_FULFILLED',
  RERUN_singleAutomaticAssessment_REJECTED = 'submissionsSiteReducer_RERUN_singleAutomaticAssessment_REJECTED',

  GET_submissions = 'submissionsSiteReducer_GET_submissions',
  GET_submissions_PENDING = 'submissionsSiteReducer_GET_submissions_PENDING',
  GET_submissions_FULFILLED = 'submissionsSiteReducer_GET_submissions_FULFILLED',
  GET_submissions_REJECTED = 'submissionsSiteReducer_GET_submissions_REJECTED',


  SET_selectedReleaseId = 'submissionsSiteReducer_SET_selectedReleaseId',
  SET_comesFromOwnExercisesSite = 'submissionsSiteReducer_SET_comesFromOwnExercisesSite',


  SET_automaticRefreshViewIntervalCounter = 'submissionsSiteReducer_SET_automaticRefreshViewIntervalCounter',
  SET_isAutomaticRefreshViewEnabled = 'submissionsSiteReducer_SET_isAutomaticRefreshViewEnabled',
  SET_runningAssessment = 'submissionsSiteReducer_SET_runningAssessment',

  SET_showLastEditingIpAddress = 'submissionsSiteReducer_SET_showLastEditingIpAddress',

  SET_isExportCsvDialogDisplayed = 'submissionsSiteReducer_SET_isExportCsvDialogDisplayed',

  setSearchText = 'submissionsSiteReducer_setSearchText',
  setPaginationActivePage = 'submissionsSiteReducer_setPaginationActivePage',
  setPaginationPageSize = 'submissionsSiteReducer_setPaginationPageSize',

  SET_sortByKey = 'submissionsSiteReducer_SET_sortByKey',

  RESET = 'submissionsSiteReducer_RESET',
}

