import {Action} from 'redux'

export interface ActionBase extends Action {
  readonly type: ActionType
}

export enum ActionType {

  GET_pLangs = 'pLangsReducer_GET_pLangs',
  GET_pLangs_PENDING = 'pLangsReducer_GET_pLangs_PENDING',
  GET_pLangs_FULFILLED = 'pLangsReducer_GET_pLangs_FULFILLED',
  GET_pLangs_REJECTED = 'pLangsReducer_GET_pLangs_REJECTED',

  GET_pLangsWithExtraData = 'pLangsReducer_GET_pLangsWithExtraData',
  GET_pLangsWithExtraData_PENDING = 'pLangsReducer_GET_pLangsWithExtraData_PENDING',
  GET_pLangsWithExtraData_FULFILLED = 'pLangsReducer_GET_pLangsWithExtraData_FULFILLED',
  GET_pLangsWithExtraData_REJECTED = 'pLangsReducer_GET_pLangsWithExtraData_REJECTED',

  CREATE_pLang = 'pLangsReducer_CREATE_pLang',
  CREATE_pLang_PENDING = 'pLangsReducer_CREATE_pLang_PENDING',
  CREATE_pLang_FULFILLED = 'pLangsReducer_CREATE_pLang_FULFILLED',
  CREATE_pLang_REJECTED = 'pLangsReducer_CREATE_pLang_REJECTED',

  UPDATE_pLangs = 'pLangsReducer_UPDATE_pLangs',
  UPDATE_pLangs_PENDING = 'pLangsReducer_UPDATE_pLangs_PENDING',
  UPDATE_pLangs_FULFILLED = 'pLangsReducer_UPDATE_pLangs_FULFILLED',
  UPDATE_pLangs_REJECTED = 'pLangsReducer_UPDATE_pLangs_REJECTED',

  DELETE_pLang = 'pLangsReducer_DELETE_pLang',
  DELETE_pLang_PENDING = 'pLangsReducer_DELETE_pLang_PENDING',
  DELETE_pLang_FULFILLED = 'pLangsReducer_DELETE_pLang_FULFILLED',
  DELETE_pLang_REJECTED = 'pLangsReducer_DELETE_pLang_REJECTED',

  SET_editingPLangId = 'pLangsReducer_SET_editingPLangId',

  SET_pLang_displayName = 'pLangsReducer_SET_pLang_displayName',
  SET_pLang_internalName = 'pLangsReducer_SET_pLang_internalName',
  SET_pLang_fileExtensionsWithDot = 'pLangsReducer_SET_pLang_fileExtensionsWithDot',

  SET_pLang_editorHighlightModeName = 'pLangsReducer_SET_pLang_editorHighlightModeName',


  RESET = 'pLangsReducer_RESET',
}
