import {getValidationMessagesCollection} from "../../../validation/validations";
import {EmailAndPasswordTuple} from "../../../types/userData";
import {getI18n} from "../../../../i18n/i18nRoot";
import globalState from '../../globalStore'

export const validationMessageKeys = getValidationMessagesCollection<EmailAndPasswordTuple>({
  email: getI18n(globalState.getState().i18nState.langId,'Field value is not a valid email'),
  newPassword: getI18n(globalState.getState().i18nState.langId,'Field must not be empty or just whitespaces'),
  oldPassword: '', //can be empty if the user is new??
})