import {getValidationMessagesCollection} from "../../../../validation/validations";
import {SystemRoleFullBase} from "../../../../types/userData";
import {getI18n} from "../../../../../i18n/i18nRoot";
import globalState from "../../../state";

export const validationMessageKeys = getValidationMessagesCollection<SystemRoleFullBase>({
  id: '',
  displayName: getI18n(globalState.getState().i18nState.langId,'Field must not be empty or just whitespaces'),
  email: getI18n(globalState.getState().i18nState.langId,'Field value is not a valid email'),

  canCreateGroups: '',
  canDeleteGroups: '',

  canCreateRoles: '',
  canChangeRoles: '',
  canDeleteRoles: '',

  canManageNewUsers: '',
  canChangeOtherUsersSystemRole: '',

  canDeleteActivatedUsers: '',
  canChangeUserData: '',
  canChangeSystemSettings: '',
  canManageTags: '',
  canViewDashboard: '',
  canDownloadPersonalDataFromOthers: '',
})
